Get connection details

Get connection details#

Description#

Returns details about a specific connection, based on its ID

GET /api/v1/connections/{connectionId}

Required OAuth Scopes

No OAuth scopes are required to use this endpoint.

Parameters#

Parameter

In

Type

Required

Description

connectionId

path

string

true

The ID of the connection to return details about

workspaceId

query

string

false

Code Samples#

curl -X GET https://h.app.wdesk.com/s/wdata/prep/api/v1/connections/{connectionId} \
    -H 'Accept: application/json' \
    -H 'Authorization: Bearer {access-token}'
http GET https://h.app.wdesk.com/s/wdata/prep/api/v1/connections/{connectionId} \
    Accept:application/json \
    Authorization:"Bearer {access-token}"
wget --method=GET "https://h.app.wdesk.com/s/wdata/prep/api/v1/connections/{connectionId}" \
    --output-document -  \ 
    --header 'Accept: application/json' \ 
    --header 'Authorization: Bearer {access-token}'
import requests

headers = {
  'Accept': 'application/json',
  'Authorization': 'Bearer {access-token}'
}

r = requests.get('https://h.app.wdesk.com/s/wdata/prep/api/v1/connections/{connectionId}', headers = headers)

print(r.json())

Returns#

200 - OK#

undefined

Example Responses#

{
  "body": {
    "connectionId": "string",
    "created": "string",
    "createdBy": "string",
    "description": "string",
    "destinationId": "string",
    "destinationType": "string",
    "destinationWorkspaceId": "string",
    "lastRun": {
      "connectionId": "string",
      "created": "string",
      "createdBy": "string",
      "destinationMetadata": {},
      "destinationParameters": {},
      "destinationStatus": "string",
      "destinationWorkspaceId": "string",
      "error": "string",
      "jobId": "string",
      "sourceMetadata": {},
      "sourceParameters": {},
      "sourceStatus": "string",
      "sourceWorkspaceId": "string",
      "updated": "string",
      "workspaceId": "string"
    },
    "lastRunBy": "string",
    "lastRunDate": "string",
    "lastRunDestinationParameters": {},
    "lastRunJobId": "string",
    "lastRunSourceParameters": {},
    "metadata": {},
    "name": "string",
    "sourceId": "string",
    "sourceType": "string",
    "sourceWorkspaceId": "string",
    "updated": "string",
    "workspaceId": "string"
  },
  "code": "integer"
}